network:
  version: 2
  renderer: networkd
  ethernets:
    enp5s9: # External interface for PPPoE
      dhcp4: no
      dhcp6: no
      addresses: []
      optional: true
      
    enp63s0: # Internal interface for VLANs
      dhcp4: no
      dhcp6: no
      addresses: []
      optional: true

  vlans:
    vlan10:
      id: 10
      link: enp63s0
      addresses:
        - 10.0.10.1/24
      gateway4: 10.0.10.1
      dhcp4: no
      dhcp6: no
      routes:
        - to: 10.0.10.2/24 # Alias IP on VLAN 10
        - to: 10.0.10.3/24 # Another alias IP on VLAN 10
      # More manual aliases for VLAN 10:
      pre-up: ip addr add 10.0.10.2/24 dev vlan10
      post-up: ip addr add 10.0.10.3/24 dev vlan10
      pre-down: ip addr del 10.0.10.2/24 dev vlan10
      pre-down: ip addr del 10.0.10.3/24 dev vlan10

    vlan20:
      id: 20
      link: enp63s0
      addresses:
        - 10.0.20.1/24
      dhcp4: no
      dhcp6: no

    vlan30:
      id: 30
      link: enp63s0
      addresses:
        - 10.0.30.1/24
      dhcp4: no
      dhcp6: no

    vlan40:
      id: 40
      link: enp63s0
      addresses:
        - 10.0.40.1/24
      dhcp4: no
      dhcp6: no

    vlan60:
      id: 60
      link: enp63s0
      addresses:
        - 46.97.86.153/31
      dhcp4: no
      dhcp6: no

  pppoe:
    dsl-provider: # PPPoE connection through enp5s9
      interfaces:
        - enp5s9
      authentication:
        method: ppp
        username: "CRPIF346146785"
        password: "oCyUXmox3e"
